## kbibtex 0.3

=== config/CMakeLists.txt ===
install( FILES fieldtypes.rc entrytypes.rc entrylayout.rc DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/CMakeLists.txt ===
include( CheckIncludeFiles )

include( KDE4Defaults )

MARK_AS_ADVANCED(SVNVERSION_EXECUTABLE)
FIND_PROGRAM(SVNVERSION_EXECUTABLE svnversion)
IF(SVNVERSION_EXECUTABLE)
	ADD_CUSTOM_TARGET(svnversion ALL
		cmake -E echo "#ifndef VERSION_H" > "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo "#define VERSION_H" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo_append "const char *versionNumber = \"SVN r" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND svnversion -n ${CMAKE_CURRENT_SOURCE_DIR} >> "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo " (branch/0.3)\";" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo "#endif // VERSION_H" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E copy_if_different "${CMAKE_BINARY_DIR}/version.h.tmp" "${CMAKE_BINARY_DIR}/version.h"
		COMMAND cmake -E remove "${CMAKE_BINARY_DIR}/version.h.tmp"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
		COMMENT "Updating ${CMAKE_BINARY_DIR}/version.h..."
		VERBATIM)
ELSE(SVNVERSION_EXECUTABLE)
	ADD_CUSTOM_TARGET(svnversion ALL
		cmake -E echo "#ifndef VERSION_H" > "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo "#define VERSION_H" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo "const char *versionNumber = \"0.3-beta1 (0.2.90)\";" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E echo "#endif // VERSION_H" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
		COMMAND cmake -E copy_if_different "${CMAKE_BINARY_DIR}/version.h.tmp" "${CMAKE_BINARY_DIR}/version.h"
		COMMAND cmake -E remove "${CMAKE_BINARY_DIR}/version.h.tmp"
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
		COMMENT "Updating ${CMAKE_BINARY_DIR}/version.h..."
		VERBATIM)
ENDIF(SVNVERSION_EXECUTABLE)

if (NOT SVNVERSION OR SVNVERSION STREQUAL exported)
else (SVNVERSION)
	add_definitions(-DSVNREVISION=" \(SVN r""${SVNVERSION}""\)")
endif (NOT SVNVERSION OR SVNVERSION STREQUAL exported)

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_definitions(
	${QT_DEFINITIONS}
	${KDE4_DEFINITIONS}
)
include_directories(
	${PROJECT_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}
	${KDE4_INCLUDES}
)

add_subdirectory( libkbibtexio )
add_subdirectory( websearch )
add_subdirectory( gui )
add_subdirectory( program )
add_subdirectory( parts )

=== xslt/CMakeLists.txt ===
install( FILES fancy.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES standard.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES arxiv2bibtex.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/gui/CMakeLists.txt ===
# KBibTeX GUI library

include( CheckIncludeFiles )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtex
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
    ${CMAKE_CURRENT_SOURCE_DIR}/element
    ${CMAKE_CURRENT_SOURCE_DIR}/field
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets
    ${CMAKE_CURRENT_SOURCE_DIR}/config
    ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/
    ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/config
)

set( kbibtexgui_LIB_SRCS
    field/fieldinput.cpp
    field/fieldlineedit.cpp
    field/fieldlistedit.cpp
    bibtex/bibtexeditor.cpp
    bibtex/clipboard.cpp
    bibtex/bibtexfilemodel.cpp
    bibtex/bibtexfileview.cpp
    element/elementeditor.cpp
    element/elementwidgets.cpp
    widgets/menulineedit.cpp
    widgets/filterbar.cpp
    config/entrylayout.cpp
    valuelistmodel.cpp
)

add_definitions( -DMAKE_KBIBTEXGUI_LIB )

# debug area for KBibTeX's IO library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101012)

kde4_add_library( kbibtexgui SHARED ${kbibtexgui_LIB_SRCS} )

target_link_libraries( kbibtexgui
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDEUI_LIBS}
        ${KDE4_KIO_LIBS}
        kbibtexio
)

install(TARGETS kbibtexgui DESTINATION ${LIB_INSTALL_DIR})

=== src/libkbibtexio/CMakeLists.txt ===
# KBibTeXIO library

set( kbibtexio_LIB_SRCS
	xsltransform.cpp
	comment.cpp
	element.cpp
	encoder.cpp
	encoderlatex.cpp
	encoderxml.cpp
	entry.cpp
	file.cpp
	fileinfo.cpp
	fileexporter.cpp
	fileexporterbibtex.cpp
	fileexporterblg.cpp
	fileexporterpdf.cpp
	fileexporterps.cpp
	fileexporterris.cpp
	fileexporterrtf.cpp
	fileexportertoolchain.cpp
	fileexporterbibtex2html.cpp
	fileexporterxml.cpp
	fileexporterxslt.cpp
	fileimporter.cpp
	fileimporterbibtex.cpp
	fileimporterris.cpp
	fileimporterpdf.cpp
	macro.cpp
	preamble.cpp
	iconvlatex.cpp
	value.cpp
	config/bibtexfields.cpp
	config/bibtexentries.cpp
)

add_definitions( -DMAKE_KBIBTEXIO_LIB )

# debug area for KBibTeX's IO library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101011)

include_directories(
	${LIBXML2_INCLUDE_DIR}
	${LIBXSLT_INCLUDE_DIR}
	${POPPLER_QT4_INCLUDE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/config/
)

kde4_add_library( kbibtexio SHARED ${kbibtexio_LIB_SRCS} )

target_link_libraries( kbibtexio
	${QT_QTCORE_LIBRARY}
	${KDE4_KDECORE_LIBS}
	${KDE4_KIO_LIBS}
	${LIBXML2_LIBRARIES}
	${LIBXSLT_LIBRARIES}
	${POPPLER_QT4_LIBRARIES}
)

install(TARGETS kbibtexio DESTINATION ${LIB_INSTALL_DIR})

=== src/parts/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio
  ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/config
  ${CMAKE_CURRENT_SOURCE_DIR}/../gui
  ${CMAKE_CURRENT_SOURCE_DIR}/../gui/config
  ${CMAKE_CURRENT_SOURCE_DIR}/../gui/widgets
  ${CMAKE_CURRENT_SOURCE_DIR}/../gui/bibtex
)

# debug area for KBibTeX's IO library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101013)


set( kbibtexpart_SRCS
	part.cpp
	browserextension.cpp
	partfactory.cpp
)

kde4_add_plugin( kbibtexpart  ${kbibtexpart_SRCS})

target_link_libraries( kbibtexpart
	kbibtexio
	kbibtexgui
	${KDE4_KPARTS_LIBS}
)

install( TARGETS kbibtexpart  DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES kbibtexpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kbibtexpartui.rc  DESTINATION ${DATA_INSTALL_DIR}/kbibtexpart )

=== src/program/CMakeLists.txt ===
project( kbibtexprogram )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/../gui
	${CMAKE_CURRENT_SOURCE_DIR}/../gui/config
	${CMAKE_CURRENT_SOURCE_DIR}/../gui/bibtex
	${CMAKE_CURRENT_SOURCE_DIR}/../gui/element
	${CMAKE_CURRENT_SOURCE_DIR}/../gui/widgets
	${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio
	${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/config
	${CMAKE_CURRENT_SOURCE_DIR}/../websearch
	${CMAKE_CURRENT_SOURCE_DIR}/../../../
	${CMAKE_CURRENT_SOURCE_DIR}/../../
	${CMAKE_CURRENT_SOURCE_DIR}/../
)

set( kbibtex_SRCS
	program.cpp
	mainwindow.cpp
	documentlist.cpp
	mdiwidget.cpp
	referencepreview.cpp
	urlpreview.cpp
	valuelist.cpp
	searchform.cpp
	searchresults.cpp
	elementform.cpp
	openfileinfo.cpp
)

# debug area for KBibTeX's IO library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101014)

kde4_add_app_icon( kbibtex_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../../icons/hi*-app-kbibtex.png" )

kde4_add_executable( kbibtex${BINARY_POSTFIX}  ${kbibtex_SRCS} )

target_link_libraries( kbibtex${BINARY_POSTFIX}
  ${QT_QTWEBKIT_LIBRARIES}
  ${KDE4_KIO_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KFILE_LIBS}
  kbibtexio
  kbibtexgui
  kbibtexws
)

install( TARGETS kbibtex${BINARY_POSTFIX}  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES kbibtex.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kbibtexui.rc  DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/websearch/CMakeLists.txt ===
# WebSearch library

set( websearch_LIB_SRCS
	websearchabstract.cpp
	websearchbibsonomy.cpp
	websearcharxiv.cpp
	websearchgooglescholar.cpp
	websearchgeneral.cpp
)

add_definitions( -DMAKE_WEBSEARCH_LIB )

# debug area for KBibTeX's IO library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101015)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio
)

kde4_add_library( kbibtexws SHARED ${websearch_LIB_SRCS} )

target_link_libraries( kbibtexws 
	${QT_QTCORE_LIBRARY}
	${KDE4_KDECORE_LIBS}
	${KDE4_KIO_LIBS}
	kbibtexio
)

install(TARGETS kbibtexws DESTINATION ${LIB_INSTALL_DIR})

## kbibtex 0.2.3.90

=== debian/changelog ===
kbibtex (0.2.3.90-1) unstable; urgency=low

  * New upstream release (Closes: #563684).
  * Switch to source package version 3.0 (quilt).
  * Bumped Standards-Version to 3.9.0, no changes necessary.
  * Link against libyaz to enable Z39.50 support (Closes: #550547).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 12:02:48 -0400

kbibtex (0.2.3-1) unstable; urgency=low

  * New upstream version. New Google Scholar search engine.
  * Bumped Standards-Version to 3.8.3.0 No changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 23 Aug 2009 19:18:34 -0400

kbibtex (0.2.2-1) unstable; urgency=low

  * New upstream version (Closes: #487301, #507837, #518959, #520392).
  * Bumped Standards-Version to 3.8.1. No changes necessary.
  * Added 'DM-Upload-Allowed: yes'.
  * Added missing '${misc:Depends}'.
  * Support for per-file encoding settings (Closes: #514356)
  * Upgrade debhelper compatibility to version 5.
  * Update debian/copyright for 2009 release.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 15 Jun 2009 12:41:19 +0200

kbibtex (0.2.1-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standards-version to 3.7.3 (no changes necessary).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Mar 2008 21:58:16 +0100

kbibtex (0.2-2) unstable; urgency=low

  * Link binary with --as-needed to dramatically reduce the number of package
    dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Nov 2007 09:48:11 +0100

kbibtex (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Moved homepage link to new Homepage filed in debian/control.
  * Added VCS information to debian/control.
  * KBibTeX now notices when a file was modified outside and asks whether
    it should reload that file (Closes: #427983).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 28 Oct 2007 10:21:01 +0100

kbibtex (0.1.5.55-1) unstable; urgency=low

  * New upstream release. Merged patches with upstream.
  * Packaging is now maintained in a GIT repository. Removing obsolete dpatch
    build-dependency.
  * Merge functionality was added (Closes: #434746).
  * Support for exporting to Reference Manager RIS format was added.
  * Updated menu file for the new menu policy.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 21 Sep 2007 14:16:18 +0200

kbibtex (0.1.5-5) unstable; urgency=low

  * Added latex2rtf as suggested package, because it is required for export
    into the RTF format.
  * Improved package description. Thanks to Yaroslav Halchenko for pointing
    to this issue.
  * Added patch to fix broken XSLT export.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Mar 2007 08:35:37 +0100

kbibtex (0.1.5-4) unstable; urgency=low

  * Modified package dependencies to be compatible with texlive.
  * Switch from tetex-bin suggestion to tetex-extra to have url.sty available
    for exporting via latex.
  * Added recommendation of texlive-bibtex-extra for additional citation
    styles.
  * Added patches to fix empty search results when doing multiple pubmed
    queries and a bug when storing search URLs. Thanks Thomas Fischer.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  2 Mar 2007 20:11:34 +0100

kbibtex (0.1.5-3) unstable; urgency=low

  * Included upstream patch that fixes the display of accented characters
    (Closes: #400065).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 25 Nov 2006 19:11:01 +0100

kbibtex (0.1.5-2) unstable; urgency=low

  * Fix FTBFS due to an invalid pure specifier. Thanks to Matthias Klose and 
    Martin Michlmayr. (Closes: #395378, #394143)

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 26 Oct 2006 21:50:18 +0200

kbibtex (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat,  7 Oct 2006 08:37:00 +0200

kbibtex (0.1.4.85-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  6 Oct 2006 07:09:06 +0200

kbibtex (0.1.4.81-1) unstable; urgency=low

  * New upstream release-candiate.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  5 Oct 2006 10:15:59 +0200

kbibtex (0.1.4.80-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  4 Oct 2006 09:36:33 +0200

kbibtex (0.1.4-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2 (no changes necessary).
  * Added missing debian/compat file to note debhelper v4 compatibility.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Jul 2006 12:10:55 +0200

kbibtex (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 26 Apr 2006 15:59:31 +0200

kbibtex (0.1.3.95-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 22 Feb 2006 21:06:12 +0100

kbibtex (0.1.3-2) unstable; urgency=low

  * Initial Release. (Closes: #328106)

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Dec 2005 21:57:40 +0100

=== debian/control ===
Source: kbibtex
Section: kde
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, cdbs, kdelibs4-dev (>= 3.3.2), libxslt1-dev, libyaz4-dev | libyaz-dev
Standards-Version: 3.9.0
Homepage: http://www.unix-ag.uni-kl.de/~fischer/kbibtex
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/kbibtex.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/kbibtex.git
XS-DM-Upload-Allowed: yes


Package: kbibtex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: texlive-latex-base | tetex-extra, bibtex2html, latex2rtf
Recommends: texlive-bibtex-extra
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE 
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online ressources (e.g. Google scholar) via customizable 
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a 
 number of citation styles.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/kde.mk

=== debian/watch ===
version=3
http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/kbibtex-([\d\.]+)\.tar\.bz2

## kbibtex 0.3

=== debian/changelog ===
kbibtex (0.3-1) unstable; urgency=low

  * First upstream release for KDE4 (Closes: #634255). A number of search
    engines are still missing, in comparison to the 0.2 series.
  * Bumped Standards-Version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Jul 2011 09:29:48 -0400

kbibtex (0.3~beta1+svn561-1) experimental; urgency=low

  * New upstream code for KDE4/Qt4 port (Closes: #604279).

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 21:23:22 -0400

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_configure::
	dh_auto_configure -- \
		-DPLUGIN_INSTALL_DIR:PATH=/usr/lib/kde4 \
		-DLIB_INSTALL_DIR:PATH=/usr/lib/kbibtex

=== debian/watch ===
version=3
opts="passive,uversionmangle=s/-test/\~test/;s/-beta/\~beta/" \
http://download.gna.org/kbibtex/0.3/kbibtex-(.*)\.tar\.bz2

## kbibtex 0.4~beta1

=== debian/changelog ===
kbibtex (0.4~beta1-1) unstable; urgency=low

  * New upstream release (Closes: #643751). Most search engines from the 0.2
    series are back. Does not modify 'localfile' fields in BibTeX entries
    anymore (Closes: #644024).
  * Adjust watch file for 0.4 series.
  * Update debian/copyright and migrate to DEP5-compliant format.
  * Added rudimentary git-buildpackage configuration.
  * Add patch that removes an unnecessary xdg-open interpreter shebang from
    kbibtex.desktop.

 -- Michael Hanke <mih@debian.org>  Sun, 02 Oct 2011 09:14:19 +0200

## kbibtex 0.4

=== CMakeLists.txt ===
project( kbibtex )

cmake_minimum_required(VERSION 2.6)

set(MANDIR "share/man" CACHE STRING "Where to install manpages")

find_package( Qt4 REQUIRED )
find_package( KDE4 REQUIRED )

# FIXME may have to be cleaned up a little bit
# Contributed by Jeremy Cribb <cribb.jeremy@gmail.com>
IF(APPLE)
  FIND_LIBRARY(SYS_CONFIG_LIBRARY SystemConfiguration )
  MARK_AS_ADVANCED(SYS_CONFIG_LIBRARY)
# SET(TARGET_EXTERNAL_LIBRARIES iconv ${SYS_CONFIG_LIBRARY})
   SET(ICONV_INCLUDE_DIR   "/opt/local/include")
   SET(ICONV_LIBRARIES     "/opt/local/lib/libiconv.dylib")
   SET(LIBXSLT_LIBRARIES   "/opt/local/lib/libxslt.dylib")
ENDIF(APPLE)

find_package(LibXslt)
macro_log_feature(LIBXSLT_FOUND "LibXSLT" "A library to transform XML files
into other XML files" "http://xmlsoft.org/XSLT" TRUE "" "Required to transform
XML files")

find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML
applications" "http://xmlsoft.org" TRUE "" "Required to transform XML files")

find_package(PopplerQt4)

add_subdirectory( src )
add_subdirectory( config )
add_subdirectory( xslt )
add_subdirectory( icons )
add_subdirectory( man )
add_subdirectory( mime )

=== config/CMakeLists.txt ===
install( FILES kbibtexrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== man/CMakeLists.txt ===
install( FILES kbibtex.1 DESTINATION ${MANDIR}/man1 )

=== mime/CMakeLists.txt ===
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
find_package(SharedMimeInfo)
macro_log_feature(SHARED_MIME_INFO_FOUND "shared-mime-info" "Allows KDE applications to determine file types" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "${SHARED_MIME_INFO_MINIMUM_VERSION}" "")

########### install files ###############
install(FILES bibliography.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,26 +2,50 @@
 
 include( KDE4Defaults )
 
+# check if QtWebKit is available, which seems to be not available
+# on e.g. RedHat Enterprise Linux 6 or Scientific Linux 6
+IF(QT_QTWEBKIT_FOUND)
+message(STATUS "Found QtWebKit, enabling WebKit support")
+add_definitions(-DHAVE_QTWEBKIT)
+ELSE(QT_QTWEBKIT_FOUND)
+message(STATUS "QtWebKit not found, disabling WebKit support")
+ENDIF(QT_QTWEBKIT_FOUND)
+
+
 MARK_AS_ADVANCED(SVNVERSION_EXECUTABLE)
 FIND_PROGRAM(SVNVERSION_EXECUTABLE svnversion)
 IF(SVNVERSION_EXECUTABLE)
+IF(WIN32)
+# single \" in an echo statement makes problems under Windows; don't know why
 	ADD_CUSTOM_TARGET(svnversion ALL
 		cmake -E echo "#ifndef VERSION_H" > "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E echo "#define VERSION_H" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
-		COMMAND cmake -E echo_append "const char *versionNumber = \"SVN r" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
-		COMMAND svnversion -n ${CMAKE_CURRENT_SOURCE_DIR} >> "${CMAKE_BINARY_DIR}/version.h.tmp"
-		COMMAND cmake -E echo " (branch/0.3)\";" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo "const char *versionNumber = \"SVN unknown\";" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E echo "#endif // VERSION_H" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E copy_if_different "${CMAKE_BINARY_DIR}/version.h.tmp" "${CMAKE_BINARY_DIR}/version.h"
 		COMMAND cmake -E remove "${CMAKE_BINARY_DIR}/version.h.tmp"
 		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
 		COMMENT "Updating ${CMAKE_BINARY_DIR}/version.h..."
 		VERBATIM)
+ELSE(WIN32)
+	ADD_CUSTOM_TARGET(svnversion ALL
+		cmake -E echo "#ifndef VERSION_H" > "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo "#define VERSION_H" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo_append "const char *versionNumber = \"SVN r" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND svnversion -n ${CMAKE_CURRENT_SOURCE_DIR} >> "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo "\";" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo "#endif // VERSION_H" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E copy_if_different "${CMAKE_BINARY_DIR}/version.h.tmp" "${CMAKE_BINARY_DIR}/version.h"
+		COMMAND cmake -E remove "${CMAKE_BINARY_DIR}/version.h.tmp"
+		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
+		COMMENT "Updating ${CMAKE_BINARY_DIR}/version.h..."
+		VERBATIM)
+ENDIF(WIN32)
 ELSE(SVNVERSION_EXECUTABLE)
 	ADD_CUSTOM_TARGET(svnversion ALL
 		cmake -E echo "#ifndef VERSION_H" > "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E echo "#define VERSION_H" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
-		COMMAND cmake -E echo "const char *versionNumber = \"0.3-beta1 (0.2.90)\";" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
+		COMMAND cmake -E echo "const char *versionNumber = \"0.3\";" >> "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E echo "#endif // VERSION_H" >>  "${CMAKE_BINARY_DIR}/version.h.tmp"
 		COMMAND cmake -E copy_if_different "${CMAKE_BINARY_DIR}/version.h.tmp" "${CMAKE_BINARY_DIR}/version.h"
 		COMMAND cmake -E remove "${CMAKE_BINARY_DIR}/version.h.tmp"
@@ -49,6 +73,7 @@
 )
 
 add_subdirectory( libkbibtexio )
+add_subdirectory( processing )
 add_subdirectory( websearch )
 add_subdirectory( gui )
 add_subdirectory( program )

=== xslt/CMakeLists.txt ===
install( FILES fancy.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES standard.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES abstractonly.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES arxiv2bibtex.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES pubmed2bibtex.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets
     ${CMAKE_CURRENT_SOURCE_DIR}/config
+    ${CMAKE_CURRENT_SOURCE_DIR}/../processing/
     ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/
     ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/config
 )
@@ -19,7 +20,9 @@
     field/fieldinput.cpp
     field/fieldlineedit.cpp
     field/fieldlistedit.cpp
+    field/colorlabelwidget.cpp
     bibtex/bibtexeditor.cpp
+    bibtex/findduplicatesui.cpp
     bibtex/clipboard.cpp
     bibtex/bibtexfilemodel.cpp
     bibtex/bibtexfileview.cpp
@@ -27,13 +30,23 @@
     element/elementwidgets.cpp
     widgets/menulineedit.cpp
     widgets/filterbar.cpp
+    widgets/radiobuttontreeview.cpp
     config/entrylayout.cpp
+    preferences/kbibtexpreferencesdialog.cpp
+    preferences/settingsgeneralwidget.cpp
+    preferences/settingsglobalkeywordswidget.cpp
+    preferences/settingscolorlabelwidget.cpp
+    preferences/settingsuserinterfacewidget.cpp
+    preferences/settingsfileexporterbibtexwidget.cpp
+    preferences/settingsfileexporterpdfpswidget.cpp
+    preferences/settingsfileexporterwidget.cpp
+    preferences/settingsabstractwidget.cpp
     valuelistmodel.cpp
 )
 
 add_definitions( -DMAKE_KBIBTEXGUI_LIB )
 
-# debug area for KBibTeX's IO library
+# debug area for KBibTeX's GUI library
 add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101012)
 
 kde4_add_library( kbibtexgui SHARED ${kbibtexgui_LIB_SRCS} )
@@ -42,9 +55,11 @@
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
     ${KDE4_KDEUI_LIBS}
-        ${KDE4_KIO_LIBS}
-        kbibtexio
+    ${KDE4_KIO_LIBS}
+    kbibtexio
+    kbibtexproc
 )
 
-install(TARGETS kbibtexgui DESTINATION ${LIB_INSTALL_DIR})
+install( TARGETS kbibtexgui RUNTIME DESTINATION bin LIBRARY DESTINATION ${LIB_INSTALL_DIR} )
 
+install( FILES bibtex/findduplicatesui.rc  DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/libkbibtexio/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,17 @@
 
 kde4_add_library( kbibtexio SHARED ${kbibtexio_LIB_SRCS} )
 
+IF(WIN32)
+target_link_libraries( kbibtexio
+	${QT_QTCORE_LIBRARY}
+	${KDE4_KDECORE_LIBS}
+	${KDE4_KIO_LIBS}
+	${LIBXML2_LIBRARIES}
+	${LIBXSLT_LIBRARIES}
+	${POPPLER_QT4_LIBRARIES}
+	iconv
+)
+ELSE(WIN32)
 target_link_libraries( kbibtexio
 	${QT_QTCORE_LIBRARY}
 	${KDE4_KDECORE_LIBS}
@@ -55,6 +66,6 @@
 	${LIBXSLT_LIBRARIES}
 	${POPPLER_QT4_LIBRARIES}
 )
+ENDIF(WIN32)
 
-install(TARGETS kbibtexio DESTINATION ${LIB_INSTALL_DIR})
-
+install(TARGETS kbibtexio RUNTIME DESTINATION bin LIBRARY DESTINATION ${LIB_INSTALL_DIR})

=== src/parts/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../gui/config
   ${CMAKE_CURRENT_SOURCE_DIR}/../gui/widgets
   ${CMAKE_CURRENT_SOURCE_DIR}/../gui/bibtex
+  ${CMAKE_CURRENT_SOURCE_DIR}/../processing/
 )
 
 # debug area for KBibTeX's IO library
@@ -20,9 +21,10 @@
 kde4_add_plugin( kbibtexpart  ${kbibtexpart_SRCS})
 
 target_link_libraries( kbibtexpart
+	${KDE4_KPARTS_LIBS}
 	kbibtexio
 	kbibtexgui
-	${KDE4_KPARTS_LIBS}
+	kbibtexproc
 )
 
 install( TARGETS kbibtexpart  DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/processing/CMakeLists.txt ===
# Processing library

set( processing_LIB_SRCS
	findduplicates.cpp
	lyx.cpp
)

add_definitions( -DMAKE_PROCESSING_LIB )

# debug area for KBibTeX's processing library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101016)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio
)

kde4_add_library( kbibtexproc SHARED ${processing_LIB_SRCS} )

target_link_libraries( kbibtexproc
	${QT_QTCORE_LIBRARY}
	${KDE4_KDECORE_LIBS}
	${KDE4_KDEUI_LIBS}
	kbibtexio
)

install( TARGETS kbibtexproc RUNTIME DESTINATION bin LIBRARY DESTINATION ${LIB_INSTALL_DIR} )

install( FILES lyx.rc  DESTINATION ${DATA_INSTALL_DIR}/kbibtex )

=== src/program/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include_directories(
 	${CMAKE_CURRENT_SOURCE_DIR}
+	${CMAKE_CURRENT_SOURCE_DIR}/docklets
 	${CMAKE_CURRENT_SOURCE_DIR}/../gui
 	${CMAKE_CURRENT_SOURCE_DIR}/../gui/config
 	${CMAKE_CURRENT_SOURCE_DIR}/../gui/bibtex
@@ -20,12 +21,12 @@
 	mainwindow.cpp
 	documentlist.cpp
 	mdiwidget.cpp
-	referencepreview.cpp
-	urlpreview.cpp
-	valuelist.cpp
-	searchform.cpp
-	searchresults.cpp
-	elementform.cpp
+	docklets/referencepreview.cpp
+	docklets/urlpreview.cpp
+	docklets/valuelist.cpp
+	docklets/searchform.cpp
+	docklets/searchresults.cpp
+	docklets/elementform.cpp
 	openfileinfo.cpp
 )

=== src/websearch/CMakeLists.txt ===
# WebSearch library

set( websearch_LIB_SRCS
	websearchabstract.cpp
	websearchbibsonomy.cpp
	websearcharxiv.cpp
	websearchsciencedirect.cpp
	websearchgooglescholar.cpp
	websearchieeexplore.cpp
	websearchpubmed.cpp
	websearchacmportal.cpp
	websearchspringerlink.cpp
	websearchjstor.cpp
	websearchgeneral.cpp
)

add_definitions( -DMAKE_WEBSEARCH_LIB )

# debug area for KBibTeX's web search library
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101015)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio
)

kde4_add_library( kbibtexws SHARED ${websearch_LIB_SRCS} )

target_link_libraries( kbibtexws
	${QT_QTCORE_LIBRARY}
	${QT_QTWEBKIT_LIBRARY}
	${KDE4_KDECORE_LIBS}
	${KDE4_KIO_LIBS}
	kbibtexio
)

install(TARGETS kbibtexws RUNTIME DESTINATION bin LIBRARY DESTINATION ${LIB_INSTALL_DIR})

=== debian/changelog ===
kbibtex (0.4-4) unstable; urgency=low

  * Fix dataloss affecting doi fields more then one slash, thanks to 
  David Wagner (Closes: #694782).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 04 Dec 2012 13:32:20 +0100

kbibtex (0.4-3) unstable; urgency=low

  * Adopt kbibtex (Closes: #654750)
  * Bug fix: "New kbibtex destroys localfile information" (Closes: #644024).
  * Bug fix: "Spelling error in control file (ressources >> resources) in 
  control file, thanks to Clayton Casciato (Closes: #687353).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 05 Nov 2012 11:46:07 +0100

kbibtex (0.4-2) unstable; urgency=low

  * Add patch to fix FTBFS with GCC 4.7 -- mising include (Closes: #664924).
    Courtesy of Sebastian Ramacher.

 -- Michael Hanke <mih@debian.org>  Sun, 13 May 2012 20:15:17 +0200

kbibtex (0.4-1) unstable; urgency=low

  * New upstream release.
  * Add patch to disable -Wcast-align flag to prevent a (presumably)
    false-positive warning to cause a FTBFS (Closes: #647030).
  * Adjust debian/copyright to include a standalone paragraph for the GPL-2.
  * Added patch to allow compiling with latest GCC (missing header includes).

 -- Michael Hanke <mih@debian.org>  Thu, 15 Dec 2011 03:43:34 +0100

=== debian/control ===
Source: kbibtex
Section: kde
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6~), kdelibs5-dev, libpoppler-qt4-dev, libxslt1-dev, libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://www.unix-ag.uni-kl.de/~fischer/kbibtex
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/kbibtex.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/kbibtex.git
XS-DM-Upload-Allowed: yes


Package: kbibtex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: texlive-latex-base | tetex-extra, bibtex2html, latex2rtf
Recommends: texlive-bibtex-extra
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE 
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable 
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a 
 number of citation styles.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 	dh_auto_configure -- \
 		-DPLUGIN_INSTALL_DIR:PATH=/usr/lib/kde4 \
 		-DLIB_INSTALL_DIR:PATH=/usr/lib/kbibtex
+
+override_dh_install:
+	dh_install

=== debian/watch ===
version=3
opts="passive,uversionmangle=s/-test/\~test/;s/-beta/\~beta/" \
http://download.gna.org/kbibtex/0.4/kbibtex-(.*)\.tar\.bz2
